Package Details: amdgpu-pro-core-meta 19.30_934563-1

Git Clone URL: https://aur.archlinux.org/amdgpu-pro-installer.git (read-only, click to copy)
Package Base: amdgpu-pro-installer
Description: Config file /etc/ld.so.conf.d/10-amdgpu-pro.conf
Upstream URL: https://www.amd.com/en/support/kb/release-notes/rn-rad-lin-19-30-unified
Licenses: custom: AMDGPU-PRO EULA
Groups: Radeon_Software_for_Linux
Submitter: LEW21
Maintainer: Ashark
Last Packager: Ashark
Votes: 85
Popularity: 2.39
First Submitted: 2016-03-28 22:44
Last Updated: 2019-11-30 21:33

Pinned Comments

Ashark commented on 2019-12-09 20:52

There is a wiki page for AMDGPU PRO: https://wiki.archlinux.org/index.php/AMDGPU_PRO

Also it contains a link to bug report for amd hybrid graphics problem. Please vote if you are affected.

Latest Comments

1 2 3 4 5 6 ... Next › Last »

Posich commented on 2020-02-08 04:07

19.50 won't work for me. Tried a few things but troubleshooting is witch-craft at best to me.

I had to modify the PKGBUILD you posted to get pacman to allow the install:

under

package_lib32-amdgpu-pro-libGL () {
<snip>
# extra_commands:

I added:

rm "${pkgdir}"/opt/amdgpu/share/drirc.d/10-amdgpu-pro.conf

Otherwise it came into conflict with the non-lib32 version because they both try to install that file.

Also have to delete some library symlink under /opt that's left behind after uninstalling the 19.30 packages. I forget which lib, pacman names it when I try installing with 'pacman -U *.pkg.tar'

After installation I did 'systemctl disable sddm' before rebooting so I'd get a terminal, which I'm sure isn't nmecessary but my luck with things like this tends to lean to catastrophe so I wanted to boot to a terminal for safety.

'systemctl start sddm' resulted in a crash. The only Xorg log I know to check(like I said, it's witchcraft to me), is /var/log/Xorg.0.log which the relevant bit seems to be(I'm running two GPUs BTW, the onboard intel and a Radeon RX 5700XT for a dual monitor setup):

[    29.547] (II) Initializing extension DRI2
[    29.549] (EE) intel(G0): sna_mode_shutdown_crtc: invalid state found on pipe 0, disabling CRTC:45
[    29.555] (EE) 
[    29.555] (EE) Backtrace:
[    29.555] (EE) 0: /usr/lib/Xorg (xorg_backtrace+0x4d) [0x556359ded76d]
[    29.555] (EE) 1: /usr/lib/Xorg (0x556359d3a000+0xa9cf8) [0x556359de3cf8]
[    29.555] (EE) 2: /usr/lib/libc.so.6 (0x7f331f5b7000+0x3bfb0) [0x7f331f5f2fb0]
[    29.555] (EE) 3: /usr/lib/libdrm_amdgpu.so.1 (amdgpu_bo_export+0x9e) [0x7f331e46204e]
[    29.555] (EE) 4: /usr/lib/x86_64-linux-gnu/dri/amdgpu_dri.so (0x7f32cca39000+0x1637b53) [0x7f32ce070b53]
[    29.555] (EE) 5: /usr/lib/x86_64-linux-gnu/dri/amdgpu_dri.so (0x7f32cca39000+0x13ab833) [0x7f32cdde4833]
[    29.555] (EE) 6: /usr/lib/x86_64-linux-gnu/dri/amdgpu_dri.so (0x7f32cca39000+0x13bd7dd) [0x7f32cddf67dd]
[    29.555] (EE) 7: /usr/lib/x86_64-linux-gnu/dri/amdgpu_dri.so (0x7f32cca39000+0x12317af) [0x7f32cdc6a7af]
[    29.555] (EE) 8: /usr/lib/x86_64-linux-gnu/dri/amdgpu_dri.so (eglCreateImageKHR+0x483) [0x7f32cdd33f33]
[    29.555] (EE) 9: /usr/lib/xorg/modules/libglamoregl.so (glamor_egl_create_textured_pixmap_from_gbm_bo+0x90) [0x7f331b3934b0]
[    29.555] (EE) 10: /usr/lib/xorg/modules/drivers/amdgpu_drv.so (0x7f331f780000+0x1bd7e) [0x7f331f79bd7e]
[    29.555] (EE) 11: /usr/lib/xorg/modules/drivers/amdgpu_drv.so (0x7f331f780000+0xee30) [0x7f331f78ee30]
[    29.555] (EE) 12: /usr/lib/Xorg (0x556359d3a000+0x67e9b) [0x556359da1e9b]
[    29.555] (EE) 13: /usr/lib/Xorg (0x556359d3a000+0x385b8) [0x556359d725b8]
[    29.555] (EE) 14: /usr/lib/libc.so.6 (__libc_start_main+0xf3) [0x7f331f5de153]
[    29.555] (EE) 15: /usr/lib/Xorg (_start+0x2e) [0x556359d733be]
[    29.555] (EE) 
[    29.555] (EE) Segmentation fault at address 0x10
[    29.555] (EE) 
Fatal server error:
[    29.555] (EE) Caught signal 11 (Segmentation fault). Server aborting
[    29.555] (EE) 
[    29.555] (EE) 
Please consult the The X.Org Foundation support 
     at <http://wiki.x.org>
 for help. 
[    29.555] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[    29.555] (EE) 
[    29.555] (II) AIGLX: Suspending AIGLX clients for VT switch
[    29.610] (EE) Server terminated with error (1). Closing log file.

The full log is at https://pastebin.com/ePvkQyfP

Sorry if that's not very helpful. I used to be better at tracking down issues like this but ADD doesn't let me stay on one hobby for very long and I forgot most of what I knew back then. :(

Let me know if there's any more info I could provide.

apaz commented on 2020-02-04 16:50

It's not working for me either, it doesn't start XOrg and I have to switch to the shell. Many errors "display not recognized" (and sddm), but without being able to determine the exact cause.

Ashark commented on 2020-02-04 09:40

@apaz, install files are in the same repository. At the moment, they are not different from the same files in AUR. But anyway, 19.50 version is not working for me.

apaz commented on 2020-02-04 09:19

Trying to install amdgpu-pro 19.50, it locks immediately with the following error:

$ makepkg -si ERROR: install file (amdgpu-core-meta.install) does not exist or is not a regular file.

My system: chipset: x570 cpu: amd 3700x gpu: amd rx 5700 xt Tried with both mesa and mesa-git Uninstalled opencl and vulkan before trying to install amdgpu-pro.

Ashark commented on 2020-01-18 18:55

nyanmisaka, yes, of course uninstallation will solve the X problem =) I mean I do not know how to make amdgpu-pro 19.50 to work properly.

nyanmisaka commented on 2020-01-18 11:25

Uninstall *amdgpu-pro-libgl from this 19.50 package may resolve the X problem.

Ashark commented on 2020-01-17 21:25

I have made an attempt to update to 19.50, but it is not working for me. Here it is: https://github.com/Ashark/archlinux-amdgpu/blob/d9786db3036d6e2f8a614aa8cf6ba772f0640743/PKGBUILD

After installing and rebooting, my X could not be loaded. I do not know what is the problem. If you have suggestions, please advise.

Ashark commented on 2020-01-11 23:13

Yes, I am planning to update. But I currently have some problems in real life. I have already seen changes in brief. They have omitted most 32 bit packages, renamed roct as you said, and omitted gbm1 packages. If you wish, you could try to update it and test it on your own, I have created update instructions in readme. Otherwise, wait until I make an update.

naetherm commented on 2020-01-11 12:29

Are you working on an upgrade for 19.50? I did some work regarding such an upgrade but don't know I everything is correct.

Mainly the libraries roct-amdgpu-pro were renamed to hsakmt-roct-amdgpu-pro and some version updates. I don't know how you would deal with additional libraries like libdrm2, glamor, etc. In the current version those libraries are left out.

The PKGBUILD can be found here: https://gist.github.com/naetherm/b1e78d174fe4c195281f0721bdda4148

Ashark commented on 2019-12-09 20:52

There is a wiki page for AMDGPU PRO: https://wiki.archlinux.org/index.php/AMDGPU_PRO

Also it contains a link to bug report for amd hybrid graphics problem. Please vote if you are affected.